Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.content
Class DEREncodedKeyValue

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.Signature11ElementProxy
              org.apache.xml.security.keys.content.DEREncodedKeyValue

All Implemented Interfaces:
  KeyInfoContent

    public class DEREncodedKeyValue

extends Signature11ElementProxy
implements KeyInfoContent

Provides content model support for the `dsig11:DEREncodedKeyvalue` element.

Author:
  Brent Putman (putmanb@georgetown.edu)

Field Summary
`static java.lang.String[]` | `supportedKeyTypes` JCA algorithm key types supported by this implementation.

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`DEREncodedKeyValue(org.w3c.dom.Document doc, byte[] encodedKey)` Constructor DEREncodedKeyValue
`DEREncodedKeyValue(org.w3c.dom.Document doc, java.security.PublicKey publicKey)` Constructor DEREncodedKeyValue
`DEREncodedKeyValue(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructor DEREncodedKeyValue

Method Summary
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`protected byte[]` | `getEncodedDER(java.security.PublicKey publicKey)` Method getEncodedDER
`java.lang.String` | `getId()` Returns the `Id` attribute
`java.security.PublicKey` | `getPublicKey()` Method getPublicKey
`void` | `setId(java.lang.String id)` Sets the `Id` attribute

Methods inherited from class org.apache.xml.security.utils.Signature11ElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### supportedKeyTypes

    public static final java.lang.String[] supportedKeyTypes

  JCA algorithm key types supported by this implementation.

Constructor Detail

### DEREncodedKeyValue

    public DEREncodedKeyValue(org.w3c.dom.Element element,
                              java.lang.String BaseURI)
                       throws XMLSecurityException

  Constructor DEREncodedKeyValue

  Parameters:
    `element` -
    `BaseURI` -
  Throws:
    `XMLSecurityException`

### DEREncodedKeyValue

    public DEREncodedKeyValue(org.w3c.dom.Document doc,
                              java.security.PublicKey publicKey)
                       throws XMLSecurityException

  Constructor DEREncodedKeyValue

  Parameters:
    `doc` -
    `publicKey` -
  Throws:
    `XMLSecurityException`

### DEREncodedKeyValue

    public DEREncodedKeyValue(org.w3c.dom.Document doc,
                              byte[] encodedKey)

  Constructor DEREncodedKeyValue

  Parameters:
    `doc` -
    `base64EncodedKey` -

Method Detail

### setId

    public void setId(java.lang.String id)

  Sets the `Id` attribute

  Parameters:
    `Id` - ID

### getId

    public java.lang.String getId()

  Returns the `Id` attribute

  Returns:
    the `Id` attribute

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

### getPublicKey

    public java.security.PublicKey getPublicKey()
                                         throws XMLSecurityException

  Method getPublicKey

  Returns:
    the public key
  Throws:
    `XMLSecurityException`

### getEncodedDER

    protected byte[] getEncodedDER(java.security.PublicKey publicKey)
                            throws XMLSecurityException

  Method getEncodedDER

  Returns:
    the public key
  Throws:
    `XMLSecurityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD